PROGRAM CB
!  This program, TERRACECHANNEL.F90 (CB), operates each of the LEVELS in the terrace channel to simulate the
!  operations of the water budget including effects of flooding on KC to estimate percolation below the terrace channel for 
!  each of the LEVELS to complete the simulation of the operation of a terrace channel effect on runoff and percolation.  Results
!  are summed to get the total percolation below the terrace channel. The operation of a terrace channel as a pond that is
!  intermittently flooded similar to the small reservoir simulation program.  It runs a water balance on each of up to 14 levels
!  and accounts for seepage added when a level is inundated. It assumes the same soil type on each level and uses the same
!  crop conditions on each level. The operation of the ET process on a level may be affected by continuous inundation of more
!  than 5 days that delays subsequent plant growth.
	IMPLICIT NONE
	INTEGER :: DAY,MONTH,YEAR,i,j,k,m,n,JJ,DAYT,MONTHT,kk,&
		ii,YEART,Dcount,L,LEVELS,OFN,LL,Level,L2,L3,SOIL,ZZ
	REAL :: RAINFALL,ET,INFLOW,ETc,SMC,YEARS,&
		     YETc,Area1,RCN,S,Kb,SUMVOLSEEP,PondMNetSeep,&
			SUMVOLPERCLZ,OVERALLNETSEEP,AETBUZ,Kc,AETLZ,&
			DepthUZ,DepthBUZ,DEPTHLZ,ETREM,Evapbare,FACTOR,&
			PERCENTNETSEEP,Rain,ETin,ETinT,RAINFALLT,INFLOWT,WSArea,&
			WSMNetPerc,WSMRunoff,SumMNetSeep,KC1,KC1T,MUL,MULT,&
			YEARSTART,YEAREND,Height,LZDF,AREA,AreaAccum,Volume,WIDTH,&
			INCVOL,STORAGEDEPTH,INFLOWVOLT,OVERFLOWT,INFLOWVOL,OVERFLOW,&
			SUMNETPERCLZ,Averageinflowvol, Averageoverflowvol,&
			AVGFIELDPERC,AVGNETADDLPERCLZ,AVGADDLET,AVGRETAINED,&
			AVGADDLETWCF,AVGRETAINEDWCF,AVGNETADDLPERCLZWCF,&
			AVGADDLETWF,AVGRETAINEDWF,AVGNETADDLPERCLZWF
	character(100) :: filename, output, FILENAME3, FILENAME4
	CHARACTER(4) TT
	CHARACTER(5) HRU,FILE2
	CHARACTER(LEN=10) :: CI,DI,EI
	Dimension AETBUZ(15),Kc(12,15),AETLZ(15),DepthUZ(15),&
			DepthBUZ(15),DEPTHLZ(15),ETREM(15),Evapbare(15),&
			FACTOR(15),PERCENTNETSEEP(15),Rain(15),ET(15),&
			AreaAccum(15),Level(15),Height(15),AREA(15),Volume(15),&
			WIDTH(15),INCVOL(15),STORAGEDEPTH(15)
	Real,Dimension(15)::AETFrBUZ=(/0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2,&
						0.2,0.2,0.2,0.2,0.2,0.2,0.2/)
	Real,Dimension(15)::FCS=(/1.4,1.4,1.4,1.4,1.4,1.4,1.4,1.4,1.4,1.4,&
							  1.4,1.4,1.4,1.4,1.4/)
	Real,Dimension(15)::FCBUZ=(/2.8,2.8,2.8,2.8,2.8,2.8,2.8,2.8,2.8,&
							 2.8,2.8,2.8,2.8,2.8,2.8/)
	Real,Dimension(15)::FCLZ=(/23.25,23.25,23.25,23.25,23.25,23.25,23.25,&
				23.25,23.25,23.25,23.25,23.25,23.25,23.25,23.25/)
	Real,Dimension(15)::FLOOD=(/0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,&
							0.0,0.0,0.0,0.0,0.0,0.0,0.0/)
	Real,Dimension(15)::HALFPWP=(/0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4,0.4,&
							0.4,0.4,0.4,0.4,0.4,0.4/)
	Real,Dimension(15)::MINASMBUZ=(/2.2,2.2,2.2,2.2,2.2,2.2,2.2,&
					2.2,2.2,2.2,2.2,2.2,2.2,2.2,2.2/)
	Real,Dimension(15)::MINASMLZ=(/17.8,17.8,17.8,17.8,17.8,17.8,17.8,&
					17.8,17.8,17.8,17.8,17.8,17.8,17.8,17.8/)
	Real,Dimension(15)::PERCBUZ=(/0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,&
							0.0,0.0,0.0,0.0,0.0,0.0/)
	Real,Dimension(15)::PERCUZ=(/0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,&
							0.0,0.0,0.0,0.0,0.0,0.0/)
	Real,Dimension(15)::PercLZ=(/0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,&
							0.0,0.0,0.0,0.0,0.0,0.0/)
	Real,Dimension(15)::PWPBUZ=(/1.6,1.6,1.6,1.6,1.6,1.6,1.6,1.6,1.6,&
							1.6,1.6,1.6,1.6,1.6,1.6/)
	Real,Dimension(15)::PWPLZ=(/12.0,12.0,12.0,12.0,12.0,12.0,12.0,12.0,&
				12.0,12.0,12.0,12.0,12.0,12.0,12.0/)
	Real,Dimension(12,15)::Residue
	Real,Dimension(15)::REW=(/1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,&
							1.0,1.0,1.0,1.0,1.0,1.0/)
	Real,Dimension(15)::RFACTOR=(/1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,&
							1.0,1.0,1.0,1.0,1.0,1.0/)
	Real,Dimension(15)::RUNOFF=(/0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,&
							0.0,0.0,0.0,0.0,0.0,0.0,0.0/)
	Real,Dimension(15)::Seep
	Real,Dimension(15)::SeepT
	REAL,DIMENSION(15)::KR(15)
	Real,Dimension(15)::SUMAETBUZ=(/0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,&
							0.0,0.0,0.0,0.0,0.0,0.0,0.0/)
	Real,Dimension(15)::SUMAETLZ=(/0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,&
							0.0,0.0,0.0,0.0,0.0,0.0,0.0/)
	Real,Dimension(15)::SUMPERCUZ=(/0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,&
							0.0,0.0,0.0,0.0,0.0,0.0,0.0/)
	Real,Dimension(15)::SUMPERCBUZ=(/0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,&
							0.0,0.0,0.0,0.0,0.0,0.0,0.0/)
	Real,Dimension(15)::SUMPERCLZ=(/0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,&
							0.0,0.0,0.0,0.0,0.0,0.0,0.0/)
	Real,Dimension(15)::SUMRAINFALL=(/0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,&
							0.0,0.0,0.0,0.0,0.0,0.0,0.0/)
	Real,Dimension(15)::SUMSUMRUNOFF=(/0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,&
							0.0,0.0,0.0,0.0,0.0,0.0,0.0/)
	Real,Dimension(15)::SUMRUNOFF=(/0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,&
							0.0,0.0,0.0,0.0,0.0,0.0,0.0/)
	Real,Dimension(15)::SUMEVAPBARE=(/0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,&
							0.0,0.0,0.0,0.0,0.0,0.0,0.0/)
	Real,Dimension(15)::SUMET=(/0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,&
							0.0,0.0,0.0,0.0,0.0,0.0,0.0/)
	Real,Dimension(15)::SUMSEEP=(/0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,&
							0.0,0.0,0.0,0.0,0.0,0.0,0.0/)
	Real,Dimension(15)::VOLSEEP
	Real,Dimension(15)::VOLPERCLZ
	Real,Dimension(15)::YDEPTHUZ=(/0.7,0.7,0.7,0.7,0.7,0.7,0.7,0.7,&
							0.7,0.7,0.7,0.7,0.7,0.7,0.7/)		!start value=1.0
	!Depth of SWC  2.0----------------1.4(FC)-------------1.0(REW)------0.8(PWP)--------------------------------------0.4(0.5PWP) units are in inches
	! FOR SOIL 5 -Upper zone bare soil ET calculation100%AWC --Kr=1----   -----Kr=(DepthUZ-0.5pWP/REW-0.5PWP) ------------0%AWC
					
	Real,Dimension(15)::YDEPTHBUZ=(/2.2,2.2,2.2,2.2,2.2,2.2,2.2,&
							2.2,2.2,2.2,2.2,2.2,2.2,2.2,2.2/)
	!Depth of SMC  4.0----------------2.8(FC)-----------------------2.2Start value---------------------------------------------------------------------------------------1.6(PWP) units are in inches
	! FOR SOIL 5 - Below Upper zone AET calculation100%ASM----MINASMBUZ=(FCBUZ-PWPBUZ)*0.5+PWPBUZ=(2.8-1.6)*0.5+1.6=2.2, Calculations are made for 
	! middle of the BUZ at 8inches ie 8 inches from soil surface				
	Real,Dimension(15)::YDEPTHLZ=(/19.5,19.5,19.5,19.5,19.5,19.5,&
	                        19.5,19.5,19.5,19.5,19.5,19.5,19.5,19.5,19.5/)
	!Depth of SWC  27.5----------------23.5(FC)---------22.35(90%FC)---------------19.5 (65% of FC) start value--------------------------12.0(PWP) units are in inches
	! FOR SOIL 5 -Initial soil moisture at about 65% of field capacity to reduce change in soil moisture for the run. 
	! Lower Zone AET calculation 100%AWC----MINASMLZ=(FCLZ-PWPLZ)*0.6+PWPLZ=(23.5-12.0)*0.65+12.0=18.9, Calculations 
	! are made for LZ at 42 inches deep from soil surface in the 5-foot lower layer.
	AVGADDLETWCF=0.
	AVGRETAINEDWCF=0.
	AVGNETADDLPERCLZWCF=0.
	AVGADDLETWF=0.
	AVGRETAINEDWF=0.
	AVGNETADDLPERCLZWF=0.
	ZZ=0
	Dcount = 0
	SumMNetSeep = 0.0
	WSMNetPerc = 0.0
	WSMRunoff = 0.0
	SUMNETPERCLZ=0.0
	DO L2=1,5
	!L2=TERRACE TYPE
	DO L3=1,10
	!L3=HRU#
	WRITE(CI,*) L2
	CI=ADJUSTL(CI)
	WRITE(DI,*) L3
	DI=ADJUSTL(DI)	
	FILE2='TP'//TRIM(CI)//TRIM(DI)
	open(UNIT=1,file=FILE2, status="unknown",IOSTAT=i) !Daily Input File
	Read (1,*) FILENAME, SOIL, TT
	IF(SOIL.EQ.5) THEN
	LZDF=0.8
	DO I=1,15
	FCS(I)=1.4
	REW(I)=1.0
	FCBUZ(I)=2.8
	HALFPWP(I)=0.4
	MINASMBUZ(I)=2.2
	FCBUZ(I)=2.8
	PWPBUZ(I)=1.6
	FCLZ(I)=23.5
	PWPLZ(I)=12.0
	MINASMLZ(I)=17.8
	YDEPTHUZ(I)=0.7		
	YDEPTHBUZ(I)=2.2				
	YDEPTHLZ(I)=19.5
	END DO
	ELSE IF(SOIL.EQ.7) Then
	LZDF=0.8
	DO I=1,15
	FCS(I)=1.3
	REW(I)=0.9
	FCBUZ(I)=2.5
	HALFPWP(I)=0.35
	MINASMBUZ(I)=2.0
	FCBUZ(I)=2.5
	PWPBUZ(I)=1.4
	FCLZ(I)= 22.0
	PWPLZ(I)=12.0
	MINASMLZ(I)=17.0	
	YDEPTHUZ(I)=0.6		
	YDEPTHBUZ(I)=2.0				
	YDEPTHLZ(I)=18.0
	END DO
	ELSE IF(SOIL.EQ.11) THEN
	LZDF=0.7
	DO I=1,15
	FCS(I)=1.0
	REW(I)=0.7	
	FCBUZ(I)=1.8
	HALFPWP(I)=0.25
	MINASMBUZ(I)=1.5
	FCBUZ(I)=1.8
	PWPBUZ(I)=1.0
	FCLZ(I)= 18.5
	PWPLZ(I)=11.0
	MINASMLZ(I)=14.8	
	YDEPTHUZ(I)=0.4		
	YDEPTHBUZ(I)=1.5				
	YDEPTHLZ(I)=15.0	
	END DO
	END IF
	WRITE(EI,*) SOIL
	EI=ADJUSTL(EI)
	FILENAME3=TRIM(EI)//FILENAME
	open(UNIT=2,file='Netseep.out',status="unknown", blank='zero')  !Daily Output File
	open(UNIT=3,file='MonthlyNetseep.out',status="unknown", blank='zero')  !Monthly Output File
	ZZ=ZZ+1
	IF(ZZ.GT.1) GOTO 102
	open(UNIT=5,file=FILENAME3,status="unknown", blank='zero')  !SUMMARY OUTPUT FILE FOR ENTIRE RUN
	OPEN(21,FILE='THREE',STATUS="UNKNOWN", BLANK='ZERO')  !SUMMARY OUTPUT FILE FOR ENTIRE RUN FOR FURTHER PROCESSING
	102	write(2,*)'Year Mo Day      ET    R.fall   Kcrop   DepthUZ   kr   &
		&PercUZ Evapbare DEPTHBUZ PERCBUZ AETBUZ DEPTHLZ  PercLZ&
		&  AETLZ   Runoff  Flood   Factor  Seepage'
	write(3,*)'OVERALL MONTHLY RESULTS FOR TERRACED FIELD&
		&(all in inches)'
	write(3,*)'            Terrace Channel Field Net Perc   Field Runoff'
	write(3,*) 'Year Mo Days Only Net Seep Without Terraces Without Terrace&
	&s'				
	FILENAME4=TRIM(TT)//'DATA.OUT'
	open(UNIT=4,file=FILENAME4,status="unknown",IOSTAT=i)  !Terrace Characteristics File
	READ (4,*) TT,LEVELS,WSArea 
	! LZDF depth factor for the zone to adjust if different than 5.0 feet to match results with the percolation from the unterraced HRU from POTYLDR
	Do KK = 1,LEVELS
		FCLZ(KK)=FCLZ(KK)*LZDF
		MINASMLZ(KK)=MINASMLZ(KK)*LZDF
		PWPLZ(KK)=PWPLZ(KK)*LZDF
		YDEPTHLZ(KK)=YDEPTHLZ(KK)*LZDF
		END DO
	Do JJ=1,LEVELS
	READ (4,*) LEVEL(JJ),HEIGHT(JJ),WIDTH(JJ),&
		AREA(JJ),AreaAccum(JJ),INCVOL(JJ),Volume(JJ),STORAGEDEPTH(JJ)
	End Do
	CLOSE(UNIT=4)
	READ (1,*)YEAR,MONTH,DAY,ETin,RAINFALL,&		! All inputs are in inches
			(Seep(i),i=1,LEVELS),KC1,MUL,INFLOW,INFLOWVOL,OVERFLOW
		YEARSTART=YEAR+((MONTH-1)/12.)+((DAY-1)/31.)/12.
		MUL=1.25*MUL
	 JJ=36500   !Daily loop runs until end of input data stream is reached. 
		DO j=1,JJ	
		READ(unit=1,*)YEART,MONTHT,DAYT,ETinT,RAINFALLT,& ! All DEPTH inputs are in inches
			(SeepT(i),i=1,LEVELS),KC1T,MULT,InflowT,INFLOWVOLT,OVERFLOWT
		DCount=Dcount+1
	If (Year<1900) Exit
	Do k=1,LEVELS
	IF(Seep(k).LE.0.0) Then
					      !  Calculations for those areas that are NOT covered with water as indicated by seep(K) = 0.0 for the day
			Runoff(k) = Inflow    ! Inflow is in inches from the watershed and is assumed to be the same for each 
					      ! incremental area of the terrace above the water depth at the beginning of the day.
			Rain(k) = Rainfall	
			ET(k) = ETin	
		If(Flood(k).LT.5.0) Then	!It is a flood scenario where flooding for fewer than than 5 days does not affect plant growth
			Factor(k)=1.0		! and other land-based water budget calculations.
		Else If (Flood(k).GT.15.0) Then 
			Factor(k)=0.0
		Else 					             !If(Flood(k)>5) then
			Factor(k)=((15.-5.)-(Flood(k)-5.))/(15.-5.)  !Factor in the range from 5-15 days gradually reduces AET. 
		End If
			Flood(k)=Flood(k)-1.
		If(Flood(k)<0.0) Then
			Flood(k)=0.0
		Else 
			Flood(k)=flood(k)
		End If
		If(Runoff(k).GT.Rain(k)) Runoff(k)=-Runoff(k)
		DepthUZ(k)=YDepthUZ(k)+(Rain(k)-Runoff(k))
		! Surface evaporation from soil calculations
		Kb=(1.0-KC1)
		If(Kb<0.0) Kb=0.0
		If (DepthUZ(k)>FCS(k))Then
			PercUZ(k)=(DepthUZ(k)-FCS(k))		!PercUZ is in inches
			Evapbare(k)=ET(k)*Kb*(1.0-1.25*MUL)
			Kr(K)=1.0		
		Else If (DEPTHUZ(K).LE.FCS(K).AND.DepthUZ(k)>REW(k)) Then
			PercUZ(k)=0.0
			Evapbare(k)=ET(k)*Kb*(1-1.25*MUL)
			Kr(K)=1.0
		Else If	(DEPTHUZ(K).LE.REW(K).AND.DepthUZ(k)>halfPWP(k)) Then
			Kr(K)=(DepthUZ(k)-HalfPWP(k))/(REW(k)-HalfPWP(k))	!Kr starts decreasing when depthUZ<REW till it reaches 0.5*PWP
			Evapbare(k)=ET(k)*Kr(K)*Kb*(1.0-1.25*MUL)
		Else If(DepthUZ(k)<HalfPWP(k)) Then
			Evapbare(k)=0.0
			Kr(K)=0.0
		End If
			DepthUZ(k)=DepthUZ(k)-PercUZ(k)-Evapbare(k)	!DepthUZ is in inches
			ETrem(k)=ET(k)-Evapbare(k)
			YDepthUZ(K)=DepthUZ(k)
		!Bottom of Upper zone AET calculations.	
		DepthBUZ(k)=YDepthBUZ(k)+PercUZ(k)	 	
		If	(DepthBUZ(k)>FCBUZ(k)) Then
			SMC=0.9
			PercBUZ(k)=(DepthBUZ(k)-FCBUZ(k))
			AETBUZ(k) = KC1*AETFrBUZ(k)*SMC*ETRem(k)*Factor(k)       
		Else If(DEPTHBUZ(K).LE.FCBUZ(K).AND.DepthBUZ(k)>MINASMBUZ(k)) Then
			SMC=0.9
			PercBUZ(k)=0.0
			AETBUZ(k) = KC1*AETFrBUZ(k)*SMC*ETrem(k)*Factor(k)	
		Else If(DEPTHBUZ(K).LE.MINASMBUZ(K).AND.DepthBUZ(k)>PWPBUZ(k))Then
			SMC = 0.9*(DepthBUZ(k)-PWPBUZ(k))/(MINASMBUZ(k)-PWPBUZ(k))
			AETBUZ(k)=KC1*AETFrBUZ(k)*SMC*ETrem(k)*Factor(k) 					!!!Newly added,Etrem(k)	
			PERCBUZ(k)=0.0
		Else
			PercBUZ(k)=0.0
			AETBUZ(K)=0.0
		End IF  
		        ETrem(k)=ETrem(k)-AETBUZ(k)
			DepthBUZ(k)=DepthBUZ(k)-AETBUZ(k)-PERCBUZ(k)
			YDEPTHBUZ(k)=DEPTHBUZ(k)
		!Lower Zone AET calculations
			DepthLZ(k)=YDepthLZ(k)+PercBUZ(k)	
		If(DepthLZ(k)>FCLZ(k)) Then     !If above field capacity, extra drains immediately.
			SMC=1.0
			PercLZ(k)=DepthLZ(k)-FCLZ(k)			
			AETLZ(k)=KC1*SMC*ETrem(k)*Factor(k)	!Assumed to be 60% SMC for AET calculation  !Newly added,Etrem(k)
			!Additional drainage occurs slowly if SMC is greater than about 67% of ASM.  The rate is time dependent only.
		Else If(DEPTHLZ(K).LE.FCLZ(K).AND.DepthLZ(k).GT.&
		      (0.67*(FCLZ(k)-PWPLZ(k))+PWPLZ(k))) Then
			SMC=0.9
                       PercLZ(k)=(((DepthLZ(k)-(PWPLZ(k))+&
			(0.67*FCLZ(k)-PWPLZ(k))))/(LZDF*5.*12.))**3.5
			AETLZ(k)=KC1*SMC*ETrem(k)*Factor(k)
			Else If(DepthLZ(k).LE.(0.67*(FCLZ(k)-PWPLZ(k))+PWPLZ(k))&
			   .AND.DEPTHLZ(K).GT.MINASMLZ(k)) Then
			SMC=0.9
			PercLZ(k)=0.0
			AETLZ(k)=KC1*SMC*ETrem(k)*Factor(k) !Newly added,Etrem(k)
		Else If(DepthLZ(k).LE.MINASMLZ(K).AND.DEPTHLZ(K).GT.PWPLZ(k)) Then
			PERCLZ(k)=0.0
			SMC= 0.9*(DepthLZ(k)-PWPLZ(k))/(MINASMLZ(k)-PWPLZ(k))
			AETLZ(k)=KC1*SMC*ETrem(k)*0.9*Factor(k)	!ETrem=ET-Evapbare,  Newly added,Etrem(k)
		Else
			PercLZ(k)=0.0
			AETLZ(k)=0.0
		END IF
			DepthLZ(k)=DepthLZ(k)-AETLZ(k)-PERCLZ(k)		
			YDEPTHLZ(k)=DEPTHLZ(k)
	ELSE	
	        !Seepage>0.0 starts executing from here	
		Rain(k)=0.0
		ET(k)=0.0
		Kr(K)=0.0
		Evapbare(k) = 0.0
		AETBUZ(k) = 0.0
		AETLZ(k) = 0.0
		DepthUZ(k)=YDepthUZ(k)+Seep(k)
		Flood(k)=Flood(k)+1
		If (Flood(k)>0.0) Then		!Sets Flood factor to 0. since area is inundated.
			Factor(k)=0.0
		End If			
		If (Flood(k)>30) Then
			Flood(k)=30
		End If
			If (DepthUZ(k)>FCS(k))Then		
			PercUZ(k)=(DepthUZ(k)-FCS(k))
			DepthUZ(k)=FCS(k)
			YDepthUZ(k)=DepthUZ(k)
		Else 
			PercUZ(k)=0.
			YDepthUZ(k)=DepthUZ(k)
		End If			
			DepthBUZ(k)=YDepthBUZ(k)+PercUZ(k)
		If	(DepthBUZ(k)>FCBUZ(k)) Then
			PercBUZ(k)=(DepthBUZ(k)-FCBUZ(k))
			DepthBUZ(k)=FCBUZ(k)
			YDepthBUZ(k)=DepthBUZ(k)
		Else 
			PercBUZ(k)=0.0
			YDepthBUZ(k)=DepthBUZ(k)	
		End If
			DepthLZ(k)=YDepthLZ(k)+PercBUZ(k)
		IF (DepthLZ(k)<FCLZ(k)) Then  
			PERCLZ(K)=0.
			YDEPTHLZ(K)=DEPTHLZ(K)
		ELSEIf	(DepthLZ(k)>FCLZ(k)) Then
			PERCLZ(K)=DepthLZ(k)-FCLZ(k)
			YDEPTHLZ(K)=DEPTHLZ(K)-PERCLZ(K)			
		End If
	END IF			
		WRITE (2,10) Year,Month,Day,ET(k),Rain(k),KC1,DepthUZ(k),Kr(K),PercUZ(k),&
				Evapbare(k),DEPTHBUZ(k),PercBUZ(k),AETBUZ(k),DEPTHLZ(k),&
				PercLZ(k),AETLZ(k),Runoff(k),flood(k),Factor(k),seep(k)
			10 FORMAT(I4,2x,I2,2x,I2,2x,17(F8.3))
		SumEvapbare(k)=Evapbare(k)+SumEvapbare(k)		
		SumpercUZ(k)=PercUZ(k)+SumPercUZ(k)
		SumET(k)=ET(k)+SumET(k)
		Sumrainfall(k)=Rain(k)+Sumrainfall(k)
		SumAETBUZ(k)=AETBUZ(k)+SUMAETBUZ(k)
		SUMPERCBUZ(k)=PERCBUZ(k)+SUMPERCBUZ(k)
		SUMPERCLZ(k)=PERCLZ(k)+SUMPERCLZ(k)
		SUMAETLZ(k)=AETLZ(k)+SUMAETLZ(k)
		Sumrunoff(k)=Runoff(k)+sumrunoff(k)
		Sumseep(k)=Seep(k)+Sumseep(k)
		PondMNetSeep=PondMNetSeep + perclz(k)*Area(k)/WSArea
	End Do		!End of loop k for 
	WSMNetPerc = WSMNetPerc + PerclZ(LEVELS)
				!Assumes percolation from Area(LEVELS) represents the perc from the entire watershed.
		WSMRunoff = WSMRunoff+Inflow
	If(MONTH/=MONTHT) Then
	Write(3,100) Year, Month, Dcount, PondMNetSeep, WSMNetPerc, WSMRunoff
	!Writes out monthly net seepage from the pond, net perc from the entire area without pond, and runoff from the entire area without pond, in acre-inches
		100 Format (I5,x,I2,2x,I2,3(F13.3))
		IF (YEART < 1900) Then
		Write (2,*) '999 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0'
		YEAREND=(YEAR-1)+((MONTH-1)/12.)+((DAY/31.)/12.)
		Exit
		End If
		PondMNetSeep = 0.0
		SumMNetSeep = 0.0
		WSMNetPerc = 0.0
		WSMRunoff = 0.0
		DCount=0
	End If
		Year=YearT
		Month=MonthT
		Day=DayT
		ETin=ETinT
		Rainfall=RainfallT
		Inflow=InflowT
		KC1=KC1T
		MUL=MULT
		Do ii = 1,LEVELS
			Seep(ii)=SeepT(ii)
		End Do
	End Do
	READ (1,*) HRU, Averageinflowvol, Averageoverflowvol !RESULTS FROM TERRACEPOND IN ACRE-FT/SQMI
	write(2,18) 
	18 Format('Level is in inches, all Sum____ are in inches and the two &
		&volumes are in ac-inches',/,'Level  SumET      SumRain   SumSeep SumEvapuz SumPercuz  &
		&SumAetuz SumPercuz  SumAetlz SumPerclz SumRunoff &
		&  Vol. Seep in Vol.PercLZ out % Net seep')
	Do m=1,LEVELS
		VOLSEEP(m)=SUMSEEP(m)*AREA(m)
		VOLPERCLZ(m)=SUMPERCLZ(m)*AREA(m)
		PERCENTNETSEEP(m)=VOLPERCLZ(m)/VOLSEEP(m)*100.
		SUMVOLSEEP=VOLSEEP(m)+ SUMVOLSEEP
		SUMVOLPERCLZ=VOLPERCLZ(m)+SUMVOLPERCLZ
		SUMNETPERCLZ=SUMNETPERCLZ+(SUMPERCLZ(m)-SUMPERCLZ(LEVELS))*AREA(m)
	WRITE(2,20) Height(m),SumET(m),SumRainfall(m),SumSeep(m),&
	Sumevapbare(m),SumpercUZ(m),SUMAETBUZ(m),SUMPERCBUZ(m),SUMAETLZ(m),&
	SUMPERCLZ(m),Sumrunoff(m),volseep(m),volperclz(m),percentnetseep(m)
	End Do
	YEARS=YEAREND-YEARSTART+1.	
	AVGFIELDPERC=SUMPERCLZ(LEVELS)/YEARS
        AVGNETADDLPERCLZ= SUMNETPERCLZ/(YEARS*WSarea)
	WRITE(2,25)
     25 FORMAT('Avg. Field Perc.,in. Avg. Addl Perc.,in. Year Start&
                      & End  No.  Lower Zone Depth,ft')
	WRITE(2,30) TT,HRU,AVGFIELDPERC,AVGNETADDLPERCLZ,&
	       YEARSTART,YEAREND,YEARS,LZDF*5.
     20 FORMAT(F5.1,10(F10.3),1X,3(F12.2))
     30 FORMAT(A4,A6,2F10.2,14X,2F6.0,F4.0,F10.2)
        AVGRETAINED=Averageinflowvol-Averageoverflowvol
	AVGADDLET=AVGRETAINED-AVGNETADDLPERCLZ*53.333
	WRITE(2,35)
 35	format('Field Runoff and Overflow in acre-ft/sq-mi yr')
	WRITE(2,37) Averageinflowvol, Averageoverflowvol
 37	FORMAT(2F12.3)		
	WRITE(2,39)
     39 FORMAT('Addl ET  Less Runoff  Addl Perc, all in acre-ft/sq-mi yr')
	WRITE(2,40) AVGADDLET,-AVGRETAINED,AVGNETADDLPERCLZ*53.333
     40 FORMAT(3F9.3)
!  Write long-term average out put to output file
	IF(L3.LT.3) THEN
	WRITE(5,40,ADVANCE='NO') AVGADDLET,-AVGRETAINED,&
	AVGNETADDLPERCLZ*53.333
	WRITE(21,40,ADVANCE='NO') AVGADDLET,-AVGRETAINED,&
	AVGNETADDLPERCLZ*53.333	
	ENDIF
        IF(L3.EQ.3.OR.L3.EQ.4.OR.L3.EQ.5) THEN
	AVGADDLETWCF=AVGADDLETWCF+AVGADDLET/3.
	AVGRETAINEDWCF=AVGRETAINEDWCF+AVGRETAINED/3.
	AVGNETADDLPERCLZWCF=AVGNETADDLPERCLZWCF+AVGNETADDLPERCLZ/3.
	ENDIF
	IF(L3.EQ.5) THEN
	WRITE(5,40,ADVANCE='NO') AVGADDLETWCF,-AVGRETAINEDWCF,&
	AVGNETADDLPERCLZWCF*53.333
	WRITE(21,40,ADVANCE='NO') AVGADDLETWCF,-AVGRETAINEDWCF,&
	AVGNETADDLPERCLZWCF*53.333	
	AVGADDLETWCF=0.
	AVGRETAINEDWCF=0.
	AVGNETADDLPERCLZWCF=0.
	ENDIF
	IF(L3.EQ.6.OR.L3.EQ.7) THEN
	AVGADDLETWF=AVGADDLETWF+AVGADDLET/2.
	AVGRETAINEDWF=AVGRETAINEDWF+AVGRETAINED/2.
	AVGNETADDLPERCLZWF=AVGNETADDLPERCLZWF+AVGNETADDLPERCLZ/2.
	ENDIF
	IF(L3.EQ.7) THEN
	WRITE(5,40,ADVANCE='NO') AVGADDLETWF,-AVGRETAINEDWF,&
	AVGNETADDLPERCLZWF*53.333
	WRITE(21,40,ADVANCE='NO') AVGADDLETWF,-AVGRETAINEDWF,&
	AVGNETADDLPERCLZWF*53.333
	AVGADDLETWF=0.
	AVGRETAINEDWF=0.
	AVGNETADDLPERCLZWF=0.
	ENDIF
	IF(L3.GT.7) THEN
	WRITE(5,40,ADVANCE='NO') AVGADDLET,-AVGRETAINED,&
	AVGNETADDLPERCLZ*53.333
	WRITE(21,40,ADVANCE='NO') AVGADDLET,-AVGRETAINED,&
	AVGNETADDLPERCLZ*53.333	
	ENDIF
        close(Unit=1)			
	close(Unit=2)   
	close(Unit=3)
	Do m=1,15
		VOLSEEP(m)=0.
		VOLPERCLZ(m)=0.
		PERCENTNETSEEP(m)=0.
		SumEvapbare(m)=0.		
		SumpercUZ(m)=0.
		SumET(m)=0.
		Sumrainfall(m)=0.
		SumAETBUZ(m)=0.
		SUMPERCBUZ(m)=0.
		SUMPERCLZ(m)=0.
		SUMAETLZ(m)=0.
		Sumrunoff(m)=0.
		Sumseep(m)=0.
		FLOOD(m)=0.0
		PERCBUZ(m)=0.0
		PERCUZ(m)=0.0
		PercLZ(m)=0.0
		RUNOFF(m)=0.0
		SUMAETBUZ(m)=0.0
		SUMAETLZ(m)=0.0
		SUMPERCUZ(m)=0.0
		SUMPERCBUZ(m)=0.0
		SUMPERCLZ(m)=0.0
		SUMRAINFALL(m)=0.0
		SUMSUMRUNOFF(m)=0.0
		SUMRUNOFF(m)=0.0
		SUMEVAPBARE(m)=0.0
		SUMET(m)=0.0
		SUMSEEP(m)=0.0
		VOLSEEP(m)=0.0
		VOLPERCLZ(m)=0.0
		YDEPTHUZ(m)=0.7		
		YDEPTHBUZ(m)=2.2				
		YDEPTHLZ(m)=19.5
		Rain(m)=0.0
		ET(m)=0.0
		Evapbare(m) = 0.0
		AETBUZ(m) = 0.0
		AETLZ(m) = 0.0
		KR(m)=0.0		
	END DO
		PondMNetSeep=0.
		SUMVOLSEEP=0.
		SUMVOLPERCLZ=0.
		SUMNETPERCLZ=0.
		AVGNETADDLPERCLZ=0.
		AVGADDLET=0.
		AVGRETAINED=0.
		AVGFIELDPERC=0.
		AVGNETADDLPERCLZ=0.
		END DO
	END DO
	CLOSE(UNIT=5)
	CLOSE(UNIT=21)
	stop
	END PROGRAM CB

	
