        PROGRAM CNSLD
!  *****   This program consolidates the output from each run of the suite of programs to estimate the effects 
!  *****   of land terracing and small federal reservoirs in the Republican River Basin for each station and 
!  *****   soil type to produce the input file for POST to calculate results for each HUC 12.
!  *****   It opens the three output files, reads the content and sorts it into a line of output that is printed
!  *****   to a master file, PSR, for all of the station/soil combinations for POST to use.

      Implicit None
      INTEGER I,J
      REAL BAL,PRECIP,REFET,DAO,PEINAO,DSCRGAO,EXFILAO,NETO,TERRFRAC
      REAL PEINAON,DSCRGAON,EXFILAON,NETON,TERRFRACN,PRCTFULLN,PRCTFULL
      REAL TERRVALUES
      CHARACTER(3) SOILW,SOIL
      CHARACTER(6) STATION
      DIMENSION BAL(21),TERRVALUES(105)
      open(1,file='ONE',status='old')  !STATION/SOIL FILE WITH RESULTS FOR NO TERRACES AND RESERVOIR WITH NO TERRACES
      open(2,file='TWO',status='UNKNOWN') !STATION/SOIL FILE WITH RESULTS FOR NO TERRACES AND RESERVOIR WITH TERRACES
      open(3,file='THREE',status='UNKNOWN') !STATION/SOIL FILE WITH RESULTS FROM TERRACE OPERATIONS    
      open(4,file='PSR',status='UNKNOWN',POSITION='APPEND') !      
      READ(1,*) STATION, SOIL, PRECIP, REFET,(BAL(I),I=1,21),DAO,PEINAON,& 
             DSCRGAON,EXFILAON,NETON,TERRFRACN,PRCTFULLN
      WRITE(4,10,ADVANCE='NO') STATION,SOIL
   10 FORMAT(A6,A3) 
      READ(2,*) STATION,SOILW,PRECIP,REFET,(BAL(I),I=1,21),DAO,PEINAO,& 
             DSCRGAO,EXFILAO,NETO,TERRFRAC,PRCTFULL 
      READ(3,*) (TERRVALUES(J),J=1,105)CNSLD
      WRITE(4,20,ADVANCE='NO') (TERRVALUES(J),J=1,105)
   20 FORMAT(105F9.3)     
      WRITE(4,30,ADVANCE='NO') PEINAON,DSCRGAON,EXFILAON,NETON
   30 FORMAT(4F8.3)
      WRITE(4,40) PEINAO,DSCRGAO,EXFILAO,NETO,TERRFRAC
   40 FORMAT(4F8.3,F6.3)  
      CLOSE (1,STATUS='KEEP')
      CLOSE (2,STATUS='KEEP')
      CLOSE (3,STATUS='KEEP')     
      CLOSE (4,STATUS='KEEP')
 3000 STOP
      END PROGRAM CNSLD
