PROGRAM WC
!  *****   This program, WC.f90, converts daily weather data files into the monthly block format required by POTYLDR for ease of use and to 
!  *****   protect data from user manipulation.  The daily values are in single line, comma or space separated as described in Line 36 below.
!  *****   The user must open this file and enter the STN ID in Row 20, the input filename, and all five Fileout names in Rows 24 through 28.
!  *****   This setup may seem less than ideal, but weather data conversion is a one-time operation for most users.
	IMPLICIT NONE
	INTEGER :: Month, Day, Year, DOY, Week, i, STN, k
	REAL :: TmaxF, TminF, Precip, EToHG, EToPM, ETrPM
	INTEGER :: MonthO, DayO, YearO, DOYO, WeekO
	REAL :: TmaxFO, TminFO, PrecipO, EToHGO, EToPMO, ETrPMO
	INTEGER :: MonthT, DayT, YearT, DOYT, WeekT
	REAL :: TmaxFT, TminFT, PrecipT, EToHGT, EToPMT, ETrPMT
	Dimension :: TmaxFO(31), TminFO(31), PrecipO(31), EToHGO(31),&
	EToPMO(31), ETrPMO(31)	
	character(100) :: Filein,Fileout1,Fileout2,Fileout3,&
		Fileout4,Fileout5,a
	STN=258628

	Filein = 'trenton.wea'

	Fileout1 = 'trentontmp.dat'
	Fileout2 = 'trentonpcp.dat'
	Fileout3 = 'trentonEToHG.dat'
	Fileout4 = 'trentonEToPM.dat'
	Fileout5 = 'trentonETrPM.dat'
	
	open(UNIT=1,file=Filein,status="unknown",IOSTAT=i)
	open(UNIT=2,file=Fileout1,status="unknown", blank='zero')
	open(UNIT=3,file=Fileout2,status="unknown", blank='zero')
	open(UNIT=4,file=Fileout3,status="unknown", blank='zero')
	open(UNIT=5,file=Fileout4,status="unknown", blank='zero')
	open(UNIT=6,file=Fileout5,status="unknown", blank='zero')
	
		READ(unit=1,*)Month, Day, Year, DOY, Week, TmaxF, TminF, Precip, EToHG,&
		EToPM, ETrPM
		DO i=1,68*366	
		READ(unit=1,*)MonthT, DayT, YearT, DOYT, WeekT,&
		TmaxFT, TminFT, PrecipT, EToHGT, EToPMT, ETrPMT
		TmaxFO(Day)=TmaxF
		TminFO(Day)=TminF
		PrecipO(Day)=Precip
		EToHGO(Day)=EToHG
		EToPMO(Day)=EToPM
		ETrPMO(Day)=ETrPM
		IF(MonthT/=Month)Then
				If(Day<31) Then
				TmaxFO(Day+1)=999
				TminFO(Day+1)=999
				PrecipO(Day+1)=99.99
				EToHGO(Day+1)=9.99
				EToPMO(Day+1)=9.99
				ETrPMO(Day+1)=9.99
				Day=Day+1
				End If
				If(Day<31) Then
				TmaxFO(Day+1)=999
				TminFO(Day+1)=999
				PrecipO(Day+1)=99.99
				EToHGO(Day+1)=9.99
				EToPMO(Day+1)=9.99
				ETrPMO(Day+1)=9.99
				Day =Day+1
				End If
				If(Day<31) Then
				TmaxFO(Day+1)=999
				TminFO(Day+1)=999
				PrecipO(Day+1)=99.99
				EToHGO(Day+1)=9.99
				EToPMO(Day+1)=9.99
				ETrPMO(Day+1)=9.99
				Day =Day+1
				End If
				If(Day<31) Then
				TmaxFO(Day+1)=999
				TminFO(Day+1)=999
				PrecipO(Day+1)=99.99
				EToHGO(Day+1)=9.99
				EToPMO(Day+1)=9.99
				ETrPMO(Day+1)=9.99
				End If
	write (2,20) STN,Year,Month,(TmaxFO(k),TminFO(k),k=1,day)
	write (3,30) STN,Year,Month,(PrecipO(k),k=1,day)	
	write (4,40) STN,Year,Month,(EToHGO(k),k=1,day)	
	write (5,40) STN,Year,Month,(EToPMO(k),k=1,day)	
	write (6,40) STN,Year,Month,(ETrPMO(k),k=1,day)	
 20 Format(I6,I5,I3,62f5.0)	 
 30 Format(I6,I5,I3,31f6.2)			
 40 Format(I6,I5,I3,31f6.3)
	END IF
	Month=MonthT
	Day=DayT
	Year=YearT
	TmaxF=TmaxFT
	TminF=TminFT
	Precip=PrecipT
	EToHG=EToHGT
	EToPM=EToPMT
	ETrPM=ETrPMT
	END DO
100	close(Unit=1)	
	close(Unit=2) 
   	close(Unit=3)
	close(Unit=4)
	close(Unit=5)
	close(Unit=6)
	close(Unit=7)
	stop
	end Program wc

					
